Bug 456359 - PostgreSQL Server 8 resource type reflects different value in the cluster.conf file and service fails to start
PostgreSQL Server 8 resource type reflects different value in the cluster.con...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-cluster (Show other bugs)
5.2
i386 Linux
medium Severity medium
: rc
: ---
Assigned To: Ryan McCabe
Brian Brock
:
Depends On:
Blocks: 5.4/TechnicalNotes
  Show dependency treegraph
 
Reported: 2008-07-23 00:43 EDT by Prosenjit Biswas
Modified: 2016-04-26 10:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An issue may be encountered when using system-config-cluster to configure a Postgres 8 resource agent, resulting in the postgresql service failing to start. To include a Postgres resource agent in your cluster, please check the man page for the agent, and edit the cluster.conf file in an editor, then update the cluster with the new configuration file using the appropriate cman_tool command.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 08:02:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Deatils of cluster.conf attached (1.18 KB, text/plain)
2008-07-23 00:43 EDT, Prosenjit Biswas
no flags Details

  None (edit)
Description Prosenjit Biswas 2008-07-23 00:43:12 EDT
Description of problem:
Configuration of PostgreSQL Server 8 resource type via system config cluster
reflects different values at /etc/cluster/cluster.conf and the service doesn't
start at all. 


Version-Release number of selected component (if applicable):
Kernel Version : 
2.6.18-92.el5xen #1 SMP Tue Apr 29 13:45:57 EDT 2008 i686 i686 i386 GNU/Linux
cman-2.0.84-2.el5
rgmanager-2.0.38-2.el5_2.1

How reproducible:
Configure the postgreSQL server 8 resource and check cluster.conf file.

Steps to Reproduce:
1.Install Cluster packages. 
2. Configure postgreSQL Server 8 Resource type for the postgresql service via
system-config-cluster
3. Start the service and it will fail. Check Cluster.conf for umached values.
  
Actual results:
Service Postgresql Failed.

Expected results:
Service Postgresql should start automatically

Additional info:
If the postgresql service configured via script then it works fine.
Comment 1 Prosenjit Biswas 2008-07-23 00:43:12 EDT
Created attachment 312418 [details]
Deatils of cluster.conf attached
Comment 2 RHEL Product and Program Management 2008-07-24 07:41:40 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Jim Parsons 2008-08-26 10:50:24 EDT
Done - ready for commit.
Comment 6 Brian Brock 2008-12-16 18:53:03 EST
I'm getting an improperly written cluster.conf.  Here's the line:

<postgres-8 config_file="" name="90" postmaster_options="foobar.conf" postmaster_user="postmaster" shutdown_wait="foobarname"/>

in system-config-cluster I set

config_file == foobar.conf
postmaster options == <empty>
shutdown_wait == 90
Comment 8 Jim Parsons 2008-12-17 11:46:06 EST
This will need to be moved out. A release note would be a good interim strategy.

Release Note Draft:

A problem exists when using system-config-cluster to configure a Postgres 8 resource agant. To include a Postgres resource agent in your cluster, please check the man page for the agent, and edit the cluster.conf file in an editor, then update the cluster with the new configuration file using the appropriate cman_tool command.
Comment 9 Brian Brock 2008-12-17 12:11:06 EST
system-config-cluster-1.0.55-1.0 fails QA testing
Comment 10 Suzanne Yeghiayan 2008-12-17 17:09:53 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
A problem exists when using system-config-cluster to configure a Postgres 8
resource agent. To include a Postgres resource agent in your cluster, please
check the man page for the agent, and edit the cluster.conf file in an editor,
then update the cluster with the new configuration file using the appropriate
cman_tool command.
Comment 11 Ryan Lerch 2009-01-15 20:28:03 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,5 +1 @@
-A problem exists when using system-config-cluster to configure a Postgres 8
+An issue may be encountered when using system-config-cluster to configure a Postgres 8 resource agent, resulting in the postgresql service failing to start. To include a Postgres resource agent in your cluster, please check the man page for the agent, and edit the cluster.conf file in an editor, then update the cluster with the new configuration file using the appropriate cman_tool command.-resource agent. To include a Postgres resource agent in your cluster, please
-check the man page for the agent, and edit the cluster.conf file in an editor,
-then update the cluster with the new configuration file using the appropriate
-cman_tool command.
Comment 12 Jim Parsons 2009-05-21 05:33:32 EDT
All set now.
Comment 14 Brian Brock 2009-07-27 20:43:58 EDT
fix verified in luci-0.12.2-6.el5

previous cluster.conf errors that I noted above are no longer present.
Comment 18 errata-xmlrpc 2009-09-02 08:02:53 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1401.html

Note You need to log in before you can comment on or make changes to this bug.